Subject: bug#46722: test-map-into fails

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 23 Feb 2021 16:33:42 +0000

Glenn Morris <[email-masked]> writes:

> Something between 8d5dfaf and efe42c2 (inclusive) causes test-map-into
> to reliably fail on hydra.nixos.org. We can't be more specific since
> intermediate revisions don't build. So far I could not reproduce the issue.
>
> Ref eg https://hydra.nixos.org/build/137474120
>
> (cl-no-applicable-method map-into ((a . 1) (b . 2)) (hash-table :test equal))

FWIW, I've been working on map.el and map-tests.el since yesterday, and
I occasionally run into this heisenerror locally maybe once in every 50
runs of 'make test/map-tests RET'.

-- 
Basil